ELF_NEXTSCN(3)

NAME
elf_nextscn - Return the next section in an ELF descriptor.

SYNOPSIS
#include <libelf.h>
Elf_Scn *elf_nextscn(Elf *elf, Elf_Scn *scn);

DESCRIPTION
The elf_nextscn() function returns a handle to the next section in the ELF object descriptor elf. If scn is NULL, the first section (with index 1) is returned. Section index 0 is reserved and skipped. If scn is not NULL, the section immediately following it is returned. If there are no further sections, NULL is returned.

PARAMETERS

elf A pointer to an ELF descriptor.

scn A section handle returned by elf_getscn(3), or NULL to begin iteration.

RETURN VALUE
Returns a pointer to the next Elf_Scn structure in the section list, or NULL if there are no more sections or if elf is NULL.

SEE ALSO
elf_getscn(3), elf_newscn(3), libelf(3), elf(5)

ATTRIBUTES
Interface | Attribute | Value
 | Thread safety | MT-Safe

REPORTING BUGS
Report bugs to <elfutils-devel@sourceware.org> or https://sourceware.org/bugzilla/.